<div
  class="disco-container"
  [style.background-color]="
    'rgb(' +
    (color$ | async)?.color?.r +
    ',' +
    (color$ | async)?.color?.g +
    ',' +
    (color$ | async)?.color?.b +
    ')'
  "
>
  <img
    src="../../../assets/img/disco_ball.png"
    class="disco-container__ball"
    alt="Disco Ball"
    (click)="onDiscoBallClick()"
  />
  <button (click)="resetColor()">reset</button>
  <pre *ngIf="color$ | async as color"> {{ color.color | json }} </pre>
  <a [routerLink]="['/seconary']">secondary</a>
  <button (click)="redirectToSecondary()">redirect to secondary</button>

  <input type="text" [(ngModel)]="redirectId" />
  <button (click)="redirectToSecondary(+redirectId)">
    redirect to secondary with parameter
  </button>

  <!-- <pre>{{ color$ | async | json }}</pre> -->
</div>
